> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetgeek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Insights

> Get all insights by meeting id



## OpenAPI

````yaml GET /v1/meetings/{meetingId}/insights
openapi: 3.0.0
info:
  description: This is a sample server celler server.
  title: MeetGeek API
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: http://www.swagger.io/support
    email: support@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.meetgeek.ai
  - url: https://api-eu.meetgeek.ai
  - url: https://api-us.meetgeek.ai
security:
  - Bearer: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /v1/meetings/{meetingId}/insights:
    get:
      tags:
        - highlight
      summary: Retrives insights for a meeting
      description: Get all insights by meeting id
      parameters:
        - description: Meeting ID
          name: meetingId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_models.Insights
        '204':
          description: No Content
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.NoContent
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.BadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.UnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.AccessDeniedError
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.MeetingNotFoundError
        '410':
          description: Gone
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.GoneError
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.InternalServerError
      security:
        - Bearer: []
components:
  schemas:
    github_com_meetgeekai_api_internal_models.Insights:
      type: object
      properties:
        kpi_meeting:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_meetgeekai_api_internal_models.KPIMeeting
          description: Specific metrics evaluated for the meeting
        kpi_popular_themes:
          type: object
          description: The most frequently discussed topics during the meeting
          properties:
            id:
              type: integer
              example: 2034148
            meeting_id:
              type: string
              example: 0b9d3260-67fc-4353-a74b-ef80152f2942
            popular_list:
              type: array
              items:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_models.KPIPopularThemesPopularList
              description: The primary themes covered
            created_at:
              type: string
              format: date-time
              example: '2025-10-13T07:47:51+00:00'
            updated_at:
              type: string
              format: date-time
              example: '2025-10-13T07:47:51+00:00'
        kpi_improvement:
          type: object
          properties:
            id:
              type: integer
              example: 2034326
            meeting_id:
              type: string
              example: 0b9d3260-67fc-4353-a74b-ef80152f2942
            keep_doing:
              type: array
              items:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_models.KPIImprovementKeepDoing
              description: Positive practices to continue in future meetings
            top_suggestions:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: integer
                    example: 0
                  text:
                    type: string
                    example: >-
                      The allocated time per topic should be better respected to
                      avoid overruns.
                    description: The detailed action to be taken
                  title:
                    type: string
                    example: Better time management
                    description: A summary of the suggested improvement
              description: >-
                Actionable recommendations to enhance the next meeting's
                effectiveness
            created_at:
              type: string
              format: date-time
              example: '2025-10-13T07:47:51+00:00'
            updated_at:
              type: string
              format: date-time
              example: '2025-10-13T07:47:51+00:00'
          description: Structured feedback aimed at improving future meetings
        old_view:
          type: boolean
          example: false
    github_com_meetgeekai_api_internal_errors.NoContent:
      type: object
      properties:
        message:
          type: string
          example: >-
            Meeting insights are unavailable for meetings created before
            December 2024. Please re-run the meeting analysis to generate
            insights
    github_com_meetgeekai_api_internal_errors.BadRequestError:
      type: object
      properties:
        message:
          type: string
          example: bad request
        reason:
          type: string
          example: missing api key
    github_com_meetgeekai_api_internal_errors.UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          example: unauthorized
    github_com_meetgeekai_api_internal_errors.AccessDeniedError:
      type: object
      properties:
        message:
          type: string
          example: you do not have access to view this meeting
    github_com_meetgeekai_api_internal_errors.MeetingNotFoundError:
      type: object
      properties:
        message:
          type: string
          example: meeting not found
    github_com_meetgeekai_api_internal_errors.GoneError:
      type: object
      properties:
        message:
          type: string
          example: target resource is no longer available
    github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError:
      type: object
      properties:
        message:
          type: string
          example: quota limit reached
        unit:
          type: string
          example: day
    github_com_meetgeekai_api_internal_errors.InternalServerError:
      type: object
      properties:
        message:
          type: string
          example: internal server error
    github_com_meetgeekai_api_internal_models.KPIMeeting:
      type: object
      properties:
        meeting_id:
          type: string
          example: 0b9d3260-67fc-4353-a74b-ef80152f2942
        title:
          type: string
          example: Engagement
          description: The name of the KPI
        score:
          type: number
          format: float
          example: 4.5
          description: Performance rating against the KPI
        interpretation:
          type: string
          example: >-
            All participants actively contributed to the discussion, leading to
            effective interaction and good collaboration.
          description: >-
            Qualitative analysis explaining the score, including strengths,
            weaknesses, and observations from the meeting
        details:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_meetgeekai_api_internal_models.KPIMeetingDetails
          example:
            - name: John Doe
              talk_time: 20
              words_min: 120
              longest_talk: 5
          description: Granular data supporting specific KPIs
        type:
          type: string
          example: custom
        created_at:
          type: string
          format: date-time
          example: '2025-10-13T07:47:51+00:00'
        updated_at:
          type: string
          format: date-time
          example: '2025-10-13T07:47:51+00:00'
    github_com_meetgeekai_api_internal_models.KPIPopularThemesPopularList:
      type: object
      properties:
        id:
          type: integer
          example: 0
        name:
          type: string
          example: Technical issues
          description: The name of the technical or operational theme
        times:
          type: integer
          example: 5
          description: The frequency of mentions or discussions related to this theme
    github_com_meetgeekai_api_internal_models.KPIImprovementKeepDoing:
      type: object
      properties:
        id:
          type: integer
          example: 0
        text:
          type: string
          example: >-
            Participants were actively involved in the discussion, which
            contributed to a collaborative atmosphere.
          description: A brief explanation of why it was effective
        title:
          type: string
          example: Active participant involvement
          description: A summary of the successful practice
    github_com_meetgeekai_api_internal_models.KPIMeetingDetails:
      type: object
      properties:
        name:
          type: string
          example: John Doe
          description: Participant's name
        talk_time:
          type: number
          format: float
          example: 20
          description: Time spent speaking (in minutes)
        words_min:
          type: number
          format: float
          example: 120
          description: Average words spoken per minute
        longest_talk:
          type: number
          format: float
          example: 5
          description: >-
            The duration of the participant's longest uninterrupted speech
            segment (in minutes)
  securitySchemes:
    Bearer:
      description: Type "Bearer" followed by a space and a token
      type: apiKey
      name: Authorization
      in: header

````